Phát hiện lỗ hổng bảo mật nguy hiểm nhất trong lịch sử thế giới

Cập nhật: 26-09-2014 | 08:18:37

Một lỗ hổng bảo mật mới vừa được phát hiện trên mọi thiết bị từ iPhone, laptop thậm chí đến cả những chiếc máy ảnh thông minh... đây được đánh giá là một trong những lỗ hổng bảo mật nguy hiểm và có phạm vi ảnh hưởng lớn nhất hiện nay.

Lỗ hổng bảo mật mới được phát hiện có tên gọi “Shell Shock”, cho phép tin tặc khai thác lỗ hổng bảo mật thông qua chương trình “Bash” trên hệ điều hành Unix, được sử dụng bởi hàng triệu máy chủ, máy tính, smartphone và các thiết bị kết nối Internet khác như máy ảnh thông minh... để chiếm quyền điều khiển và đánh cắp dữ liệu.

Sáng nay, Hiệp hội An toàn thông tin Việt Nam (VNISA) đã phát thông tin cảnh báo về lỗ hổng nguy hiểm này. “Điều này gây ra một nguy cơ bảo mật cao đối với nhiều doanh nghiệp, tổ chức nói riêng cũng như Internet nói chung do tính phổ biến sử dụng các hệ thống Unix và Linux”, thông tin từ VNISA nhấn mạnh.

Trong khi đó, các tổ chức an ninh trên thế giới cũng đã đồng loạt lên tiếng cảnh báo về lỗ hổng Shell Shock. Theo đó, Chương trình Bash trên Unix cho phép người dùng có thể thực hiện các câu lệnh, từ đó thông qua chương trình shell sẽ biên dịch câu lệnh này để thực hiện nhiệm vụ do người dùng yêu cầu. Về cơ bản người dùng phổ thông không thực sự quan tâm đến việc truy cập vào chương trình Bass, tuy nhiên các nhà quản lý hệ thống sẽ thực sự cần đến công cụ này.

“Đây có lẽ là lỗ hổng bảo mật có tầm ảnh hưởng lớn nhất từ trước đến nay”, Nick Cubrilovic, một chuyên gia bảo mật người Úc cho biết. “Lỗ hổng bảo mật này có thể ảnh hưởng đến các thiết bị từ máy chủ web, máy tính đến smartphone chạy Android, các thiết bị nhúng và thậm chí cả các thiết bị gia dụng thông minh”.

Lỗ hổng bảo mật mới được phát hiện có phạm vi ảnh hưởng cực lớn và mức độ cực nguy hiểm

Robert Graham, chuyên gia của hãng bảo mật Errata Security (Mỹ), người đang theo dõi lỗ hổng bảo mật này cho biết người dùng không thể làm được gì nhiều để ngăn chặn lỗ hổng bảo mật này, ngoại trừ thiết lập tường lửa trên modem kết nối Internet một cách phù hợp để ngăn chặn hacker lợi dụng lỗ hổng bảo mật xâm nhập vào hệ thống mạng của họ.

Robert Graham cũng khuyên các nhà quản lý hệ thống máy chủ nên cập nhật các biện pháp bảo vệ máy chủ của mình một cách sớm nhất để đảm bảo dữ liệu không bị đánh cắp bởi các hacker, khi họ có thể lợi dụng lỗ hổng bảo mật này để xâm nhập vào máy chủ. Ngoài ra, các nhà quản trị máy chủ nên thường xuyên theo dõi nhật ký (log) trên máy chủ để sớm phát hiện những yêu cầu lạ từ bên ngoài.

“Cập nhật phần mềm Bash ngay lập tức hoạt gỡ bỏ hay thay thế nó bằng một phần mềm khác”, Robert Graham cho biết.

Trong khi đó, Tod Beardsley, chuyên gia bảo mật của hãng an ninh mạng Rapid7 đánh giá lỗ hổng bảo mật “Shell Shock” mức độ “10” về mức độ nghiêm trọng, nghĩa là có tác động lớn và dễ dàng để hacker khai thác để sử dụng.

“Sử dụng lỗ hổng bảo mật này, hacker có thể xâm nhập hệ điều hành, truy cập thông tin bí mật và thực hiện các thay đổi...”, Beardsley cho biết. “Những ai đang sử dụng hệ thống với phần mềm Bash cần phải triển khai các bản vá lỗi ngay lập tức”.

Trung tâm Ứng cứu khẩn cấp Máy tính Mỹ (US-CERT) ra cảnh báo về lỗ hổng bảo mật “Shell Shock”

Sau khi lỗ hổng bảo mật được công bố, US-CERT (trực thuộc bộ An ninh Nội địa Mỹ) đã ban hành cảnh báo về lỗ hổng bảo mật này đến người dùng tại Mỹ nói riêng và trên toàn cầu.

US-CERT cho biết các phiên bản hệ điều hành của Apple từ OS X 10.9.5 trở về trước đều ẩn chứa lỗ hổng bảo mật này. Các hệ điều hành khác được xây dựng dựa trên mã nguồn của Linux (trong đó có Android) cũng chịu ảnh hưởng.

US-CERT khuyên người dùng nên cập nhật phiên bản hệ điều hành mới nhất từ nhà cung cấp phần mềm. Hiện các hãng phần mềm phát triển hệ điều hành Linux, trong đó có Red Hat, đã sẵn sàng để phát hành phiên bản mới nhằm vá lại lỗ hổng bảo mật nguy hiểm này, trong khi đó Apple vẫn chưa đưa ra bình luận nào về vụ việc.

Nguy hiểm hơn lỗ hổng bảo mật Heartbleed

Theo các chuyên gia bảo mật nhận định, lỗ hổng bảo mật “Shell Shock” thậm chí còn nguy hiểm hơn lỗ hổng bảo mật Heartbleed được phát hiện hồi tháng 4 vừa qua, với phạm vi ảnh hưởng rất lớn, ảnh hưởng hàng triệu trang web và các thiết bị di động chạy Android.

Heartbleed là lỗ hổng bảo mật được phát hiện hồi tháng 4 vừa qua, là một lỗi nằm trên phần mềm dùng để mã hóa dữ liệu OpenSSL. Lỗ hổng bảo mật này khiến hàng triệu thiết bị và máy chủ sử dụng OpenSSL để mã hóa dữ liệu đứng trước nguy cơ bị hacker xâm nhập. Ước tính có đến 2/3 số trang web trên toàn cầu bị ảnh hường bởi Heartbleed.

Trong khi đó, với lỗ hổng bảo mật “Shell Shock” vừa được phát hiện, các chuyên gia bảo mật cho rằng các nhà quản lý máy chủ và hệ thống sẽ phải mất nhiều tuần liền để khắc phục các hậu quả nếu hacker lợi dụng để tấn công vào hệ thống.

Thậm chí, theo Robert Graham, chuyên gia của hãng bảo mật Errata Security (Mỹ) thì nhiều thiết bị thông minh có thể phải “chung sống” với lỗ hổng bảo mật này mãi mãi vì một số hãng sản xuất các thiết bị này đã bị phá sản hay ngừng hoạt động, khiến các thiết bị không còn tiếp tục nhận được các bản vá lỗi phù hợp.

Unix hay UNIX là một hệ điều hành máy tính viết vào những năm 1960 và 1970 do một số nhân viên của công ty AT&T Bell Labs.

Unix đã trở thành cơ sở quan trọng nhất để phát triển các hệ điều hành phổ biến hiện nay. Nhiều hệ điều hành phổ biến được xây dựng dựa trên lõi của Unix, có thể kể đến như OS X, iOS, Linux, Android, BlackBerry 10... Chính điều này khiến cho lỗ hổng bảo mật phát hiện trên Unix càng có tầm ảnh hưởng rộng và nghiêm trọng hơn.

Theo Dân trí

 

Chia sẻ bài viết

LƯU Ý: BDO sẽ biên tập ý kiến của bạn đọc trước khi xuất bản. BDO hoan nghênh những ý kiến khách quan, có tính xây dựng và có quyền không sử dụng những ý kiến cực đoan không phù hợp. Vui lòng gõ tiếng việt có dấu, cám ơn sự đóng góp của bạn đọc.

Gửi file đính kèm không quá 10MB Đính kèm File
Quay lên trên free html hit counter